# $Revision: 1.15 $, $Date: 2004/05/13 20:00:09 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires working $DISPLAY)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tk
%define		pnam	FontDialog
Summary:	Tk::FontDialog Perl module - font chooser for Perl/Tk
Summary(pl):	Modu Perla Tk::FontDialog - okienko wyboru fontu dla moduu Perla Tk
Name:		perl-Tk-FontDialog
Version:	0.10
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	52ad3c77eb66c40fa925992342623a79
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Tk >= 800
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tk::FontDialog implements a font dialog widget.

%description -l pl
Modu Tk::FontDialog jest implementacj okienka wyboru fontu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Tk/FontDialog.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tk-FontDialog.spec,v $
Revision 1.15  2004/05/13 20:00:09  adamg
- updated to 0.10

Revision 1.14  2004/05/06 18:21:25  ankry
- fixed perl-devel BR

Revision 1.13  2004/05/03 21:33:35  ankry
- tests added, licence fix, cosmetics

Revision 1.12  2004/04/15 21:24:54  ankry
- cosmetics

Revision 1.11  2004/03/28 11:42:30  adamg
- updated to 0.09

Revision 1.10  2003/08/18 08:09:24  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:38  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/13 00:03:53  ankry
- merge from RA-branch: updated to 0.08

Revision 1.5  2003/03/01 21:35:35  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:39:04  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/11/20 12:35:15  mis
- autoupdated to 0.07

Revision 1.1  2002/07/21 12:26:22  qboosh
- new

